RDCode: RDKit::AromaticAtomIterator_< Atom_, Mol_ > Class Template Reference

# RDKit::AromaticAtomIterator_< Atom_, Mol_ > Class Template Reference

Iterate over aromatic atoms, this is bidirectional. More...

`#include <AtomIterators.h>`

List of all members.

## Public Types
typedef AromaticAtomIterator_ < Atom_, Mol_ > | ThisType
## Public Member Functions
| AromaticAtomIterator_ ()
| AromaticAtomIterator_ (Mol_ *mol)
| AromaticAtomIterator_ (Mol_ *mol, int pos)
| ~AromaticAtomIterator_ ()
| AromaticAtomIterator_ (const ThisType &other)
AromaticAtomIterator_ & | operator= (const ThisType &other)
bool | operator== (const ThisType &other)
bool | operator!= (const ThisType &other)
Atom_ * | operator* ()
ThisType & | operator++ ()
ThisType | operator++ (int)
ThisType & | operator-- ()
ThisType | operator-- (int)

## Detailed Description

### template<class Atom_, class Mol_>
class RDKit::AromaticAtomIterator_< Atom_, Mol_ >

Iterate over aromatic atoms, this is bidirectional.

Definition at line 104 of file AtomIterators.h.

## Member Typedef Documentation

template<class Atom_, class Mol_>

typedef AromaticAtomIterator_<Atom_,Mol_> RDKit::AromaticAtomIterator_< Atom_, Mol_ >::ThisType

Definition at line 106 of file AtomIterators.h.

## Constructor & Destructor Documentation

template<class Atom_, class Mol_>

RDKit::AromaticAtomIterator_< Atom_, Mol_ >::AromaticAtomIterator_ | ( |  | ) | `[inline]`

Definition at line 107 of file AtomIterators.h.

template<class Atom_, class Mol_>

RDKit::AromaticAtomIterator_< Atom_, Mol_ >::AromaticAtomIterator_ | ( | Mol_ * | mol | ) |

template<class Atom_, class Mol_>

RDKit::AromaticAtomIterator_< Atom_, Mol_ >::AromaticAtomIterator_ | ( | Mol_ * | mol,
|  | int | pos |
| ) |  |  |

template<class Atom_, class Mol_>

RDKit::AromaticAtomIterator_< Atom_, Mol_ >::~AromaticAtomIterator_ | ( |  | ) |

template<class Atom_, class Mol_>

RDKit::AromaticAtomIterator_< Atom_, Mol_ >::AromaticAtomIterator_ | ( | const ThisType & | other | ) |

## Member Function Documentation

template<class Atom_, class Mol_>

AromaticAtomIterator_& RDKit::AromaticAtomIterator_< Atom_, Mol_ >::operator= | ( | const ThisType & | other | ) |

template<class Atom_, class Mol_>

bool RDKit::AromaticAtomIterator_< Atom_, Mol_ >::operator== | ( | const ThisType & | other | ) |

template<class Atom_, class Mol_>

bool RDKit::AromaticAtomIterator_< Atom_, Mol_ >::operator!= | ( | const ThisType & | other | ) |

template<class Atom_, class Mol_>

Atom_* RDKit::AromaticAtomIterator_< Atom_, Mol_ >::operator* | ( |  | ) |

template<class Atom_, class Mol_>

ThisType& RDKit::AromaticAtomIterator_< Atom_, Mol_ >::operator++ | ( |  | ) |

template<class Atom_, class Mol_>

ThisType RDKit::AromaticAtomIterator_< Atom_, Mol_ >::operator++ | ( | int |  | ) |

template<class Atom_, class Mol_>

ThisType& RDKit::AromaticAtomIterator_< Atom_, Mol_ >::operator-- | ( |  | ) |

template<class Atom_, class Mol_>

ThisType RDKit::AromaticAtomIterator_< Atom_, Mol_ >::operator-- | ( | int |  | ) |

The documentation for this class was generated from the following file:

- AtomIterators.h